summaryrefslogtreecommitdiffstats
path: root/source/xap/pan
diff options
context:
space:
mode:
Diffstat (limited to 'source/xap/pan')
-rwxr-xr-xsource/xap/pan/pan.SlackBuild5
-rw-r--r--source/xap/pan/pan.enchant2.diff33
2 files changed, 37 insertions, 1 deletions
diff --git a/source/xap/pan/pan.SlackBuild b/source/xap/pan/pan.SlackBuild
index b3a8a3bfc..d9cacee99 100755
--- a/source/xap/pan/pan.SlackBuild
+++ b/source/xap/pan/pan.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=pan
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | cut -d - -f 2 | rev | cut -f 3- -d . | rev)}
-BUILD=${BUILD:-4}
+BUILD=${BUILD:-5}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -78,6 +78,9 @@ find . \
# Fix gmime3 errors and building with glib-2.68.0:
zcat $CWD/pan.glib-2.68.0.diff.gz | patch -p1 --verbose || exit 1
+# Build with enchant-2:
+zcat $CWD/pan.enchant2.diff.gz | patch -p1 --verbose || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
diff --git a/source/xap/pan/pan.enchant2.diff b/source/xap/pan/pan.enchant2.diff
new file mode 100644
index 000000000..62311031b
--- /dev/null
+++ b/source/xap/pan/pan.enchant2.diff
@@ -0,0 +1,33 @@
+diff -u -r --new-file pan-0.146.orig/configure.ac pan-0.146/configure.ac
+--- pan-0.146.orig/configure.ac 2019-05-04 11:10:27.000000000 -0500
++++ pan-0.146/configure.ac 2021-06-29 14:19:49.612442354 -0500
+@@ -149,7 +149,7 @@
+ AC_DEFINE(HAVE_GTK,[1],[GTK+ 3 support])]
+ )
+ if test "x$want_gtkspell" = "xyes" ; then
+- PKG_CHECK_MODULES([GTKSPELL], [gtkspell3-3.0 >= $GTKSPELL3_REQUIRED enchant >= $ENCHANT_REQUIRED],
++ PKG_CHECK_MODULES([GTKSPELL], [gtkspell3-3.0 >= $GTKSPELL3_REQUIRED enchant-2 >= $ENCHANT_REQUIRED],
+ [
+ gtkspell_msg=yes
+ AC_DEFINE(HAVE_GTKSPELL,[1],[GtkSpell support for spellchecking])
+@@ -162,7 +162,7 @@
+ fi
+ else
+ if test "x$want_gtkspell" = "xyes" ; then
+- PKG_CHECK_MODULES([GTKSPELL], [gtkspell-2.0 >= $GTKSPELL_REQUIRED enchant >= $ENCHANT_REQUIRED],
++ PKG_CHECK_MODULES([GTKSPELL], [gtkspell-2.0 >= $GTKSPELL_REQUIRED enchant-2 >= $ENCHANT_REQUIRED],
+ [
+ gtkspell_msg=yes
+ AC_DEFINE(HAVE_GTKSPELL,[1],[GtkSpell support for spellchecking])
+diff -u -r --new-file pan-0.146.orig/pan/gui/group-prefs-dialog.cc pan-0.146/pan/gui/group-prefs-dialog.cc
+--- pan-0.146.orig/pan/gui/group-prefs-dialog.cc 2017-12-29 11:15:47.000000000 -0600
++++ pan-0.146/pan/gui/group-prefs-dialog.cc 2021-06-29 14:19:49.628442353 -0500
+@@ -23,7 +23,7 @@
+ #include <glib.h>
+ #include "gtk-compat.h"
+ #ifdef HAVE_GTKSPELL
+- #include <enchant/enchant.h>
++ #include <enchant-2/enchant.h>
+ #endif
+ }
+ #include <pan/general/debug.h>